## ros-rolling-hls-lfcd-lds-driver 2.0.4

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(hls_lfcd_lds_driver)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(MSVC)
  add_compile_definitions(
    _USE_MATH_DEFINES
  )
endif()

################################################################################
# Find ament packages and libraries for ament and system dependencies
################################################################################
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(Boost REQUIRED system)

################################################################################
# Build
################################################################################
include_directories(
  include
  ${Boost_INCLUDE_DIRS}
)

add_executable(hlds_laser_publisher	src/hlds_laser_publisher.cpp)
target_link_libraries(hlds_laser_publisher ${Boost_LIBRARIES})
ament_target_dependencies(hlds_laser_publisher
  rclcpp
  std_msgs
  sensor_msgs
)

################################################################################
# Install
################################################################################
install(DIRECTORY launch rviz
  DESTINATION share/${PROJECT_NAME}
)

install(
  TARGETS hlds_laser_publisher
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

################################################################################
# Macro for ament package
################################################################################
ament_export_dependencies(rclcpp)
ament_export_dependencies(std_msgs)
ament_export_dependencies(sensor_msgs)
ament_export_include_directories(include)
ament_package()

=== applications/lds_driver/Makefile ===
DIR_ROOT  = ../

CC 				= gcc
CX 				= g++
CCFLAGS		= -Wall -c
CXFLAGS 	= -Wall -c
CP     		= cp
CP_ALL  	= cp -r
RM        = rm
RM_ALL    = rm -f
SRCS			= lds_driver.cpp
OBJS			= lds_driver.o
LIB_DIRS	= -L/usr/lib/x86_64-linux-gnu
INC_DIRS  = -I/usr/include
LIBS      = -lboost_system -pthread
TARGET 	  = lds_driver

all : $(TARGET)
	$(CXX) -o $(TARGET) $(OBJS) $(INC_DIRS) $(LIB_DIRS) $(LIBS)
 
$(TARGET) :
	$(CXX) -c $(SRCS) $(INC_DIRS) $(LIB_DIRS) $(LIBS) 

clean:
	$(RM_ALL) $(OBJS) $(TARGET)

=== debian/changelog ===
ros-rolling-hls-lfcd-lds-driver (2.0.4-4jammy) jammy; urgency=high

  * fix linker error
  * Contributors: goekce, Will Son

 -- Will Son <willson@robotis.com>  Thu, 15 Jul 2021 07:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (2.0.2-4jammy) jammy; urgency=high

  * fix laserscan data bug
  * rename nav2 params
  * fox bug, deprecated param name
  * use static param type for Galactic
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Thu, 15 Apr 2021 07:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (2.0.1-4jammy) jammy; urgency=high

  * ROS 2 Eloquent Elusor supported
  * ROS 2 Foxy Fitzroy supported
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Mon, 13 Jul 2020 07:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (2.0.0-4jammy) jammy; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Added parameter for initilization and modified qos
  * Reduced scope to boost-system dependency
  * Fixed build warnings in ROS2 Dashing
  * Contributors: Emerson Knapp, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Tue, 20 Aug 2019 07:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (1.1.0-4jammy) jammy; urgency=high

  * Added lpthread library in Makefile
  * Added CI for ROS Melodic
  * Modified hlds_laser_segment_publisher
  * Contributors: Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Wed, 23 Jan 2019 08:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (1.0.0-4jammy) jammy; urgency=high

  * Modified max-range to avoid fencepost error.
  * Merged pull request #27 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/27> from skasperski/master
    Corrected max-range to avoid fencepost error.
  * Merged pull request #29 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/29> #28 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/28> #24 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/24>
  * Contributors: Gilbert, Sebastian Kasperski, Pyo

 -- Will Son <willson@robotis.com>  Tue, 29 May 2018 07:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (0.1.5-4jammy) jammy; urgency=high

  * Added non-ROS applications for LDS (linux, windows, mac)
  * Added a link for e-Manual
  * Added .travis.yml for Travis CI
  * Modified for firmware upgrade
  * Refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Wed, 14 Mar 2018 07:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (0.1.4-4jammy) jammy; urgency=high

  * Modified to stop motor of LDS
  * Deleted unused lfcdstartstop arg of LFCDLaser. Fix an exception error.
  * Merged pull request #8 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/8> from hara-y/stop_motor_in_dtor
  * Fixed code format
  * Contributors: Yoonseok Pyo, Yoshitaka HARA

 -- Will Son <willson@robotis.com>  Thu, 14 Sep 2017 07:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (0.1.3-4jammy) jammy; urgency=high

  * Fixed a bug of beam index [0, 0, 1, ..., 358] > [0, 1, 2, ..., 359]
  * Merged pull request #7 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/pull/7> from hara-y
  * Contributors: Darby Lim, Yoshitaka HARA

 -- Will Son <willson@robotis.com>  Fri, 18 Aug 2017 07:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (0.1.2-4jammy) jammy; urgency=high

  * Modified the timing to take a timestamp for sync the scan and odom
  * Added a hlds_laser_segment_publisher node
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Mon, 24 Apr 2017 07:00:00 -0000

ros-rolling-hls-lfcd-lds-driver (0.1.1-4jammy) jammy; urgency=high

  * Modified the package name and related codes
  * Added a ROS package for HLDS Laser Distance Sensor
  * Contributors: JH Yang, SP Kong, Pyo

 -- Will Son <willson@robotis.com>  Tue, 06 Dec 2016 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-hls-lfcd-lds-driver
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-system-dev, ros-rolling-ament-cmake, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: http://wiki.ros.org/hls_lfcd_lds_driver
Standards-Version: 3.9.2

Package: ros-rolling-hls-lfcd-lds-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-system-dev, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: ROS package for LDS(HLS-LFCD2).
 The LDS (Laser Distance Sensor) is a sensor sending the data to Host for the simultaneous localization and mapping (SLAM). Simultaneously the detecting obstacle data can also be sent to Host. HLDS(Hitachi-LG Data Storage) is developing the technology for the moving platform sensor such as Robot Vacuum Cleaners, Home Robot, Robotics Lawn Mower Sensor, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-hls-lfcd-lds-driver//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
